Skip to navigation

Get Cart Metafield

Gets a cart metafield.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Cartsmodifystore_cart
Cartsread-onlystore_cart_read_only
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

cart_idstringRequiredformat: "UUID"

The ID of the Cart to which the transactions belong.

metafield_idintegerRequired

The unique ID of the subject Metafield.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:

Response

A Metafield object.

dataobjectOptional
Allows app partners to write custom data to various resources in the API.

Errors

404
Not Found Error